.product-top-panel .summary-details {
  padding-inline-end: 1rem;
  line-height: 1;
  display: flex;
  flex-direction: column;
  gap: 0.25rem;

  div {
    font-size: 0.75rem;
  }

  .price {
    font-weight: 500;
  }

  .value {
    font-size: 1rem;
  }
}

.pollution-and-safety {
  position: absolute;
  display: inline-flex;
  align-items: center;
  gap: 0.75rem;
  font-weight: 500;
  font-size: 0.875rem;
  z-index: 5;
  bottom: 0.75rem;
  inset-inline-start: .75rem;

  i {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    width: 1.125rem;
    height: 1.125rem;
    font-style: normal;
    color: #fff;
    font-size: 0.75rem;
  }
}

.product-page__additional-item {
  h3 {
    margin-bottom: 0;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
  }

  .price {
    margin-bottom: auto;

    span {
      font-size: 0.875rem;
      font-weight: 500;
    }
  }
}

.--text,
.--price {
  text-align: end;
}

.summary-dialog .modal-body {
  padding-top: 2rem;
}

.modal-body {
  overflow-x: hidden;
}

.summary-list {
  margin-bottom: 2rem;
}

.summary-list__item {
  display: flex;
  align-items: center;
  gap: 2rem;
  justify-content: space-between;

  .--price {
    font-weight: 500;
  }
}

.summary-offer__price {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding-block: 1rem;
  border-bottom: 1px solid rgba(0, 0, 0, .12);
}

.summary-offer__price-info {
  p {
    font-size: 1.5rem;
  }
}

.summary-offer__price-value {
  font-weight: 500;
  font-size: 1.5rem;
}

.summary-offer__text {
  padding-block: 1.5rem;
  font-size: 0.875rem;
  color: rgba(0, 0, 0, 0.74);

  p {
    max-width: 28.125rem;
  }

  p:not(:last-child) {
    margin-bottom: 1em;
  }
}

.modal-body:has(.summary-submit) {
  padding-bottom: 0;
}

.summary-dialog .summary-submit {
  position: sticky;
  bottom: 0;
  background: #fff;
}

.summary-submit {
  padding-block: 1.25rem;
  display: flex;
  flex-direction: column;
  gap: 0.75rem;
  border-top: 1px solid rgba(0, 0, 0, .12);

  .btn-filled {
    height: 3rem;
    text-align: center;
    justify-content: center;
  }

  p {
    font-size: 0.875rem;
  }
}

.product-page__additional-item-image {
  background: rgba(0, 0, 0, .05);
}

.product-page__part.--part-4 {
  .summary-final {
    flex: 1;
    display: flex;
    flex-direction: column;

    h2 {
      margin-bottom: 0;
    }
  }

  .summary-submit {
    padding-bottom: 0;
    margin-top: auto;
  }

  .summary-offer__text {
    min-height: auto;
    border-bottom: none;
    padding-bottom: 0;
    margin-bottom: 2rem;
  }

  .summary-list {
    display: flex;
    flex-direction: column;
    margin-bottom: 0;
  }

  .summary-list__item {
    padding-block: 1rem;
    border-bottom: 1px solid rgba(0, 0, 0, .12);
  }
}

@media (max-width: 768px) {
  .product-page__part-main {
    overflow: visible;
    margin-bottom: 1rem;
  }

  .summary-offer__text {
    font-size: 0.75rem;
    padding-block: 1rem;
  }

  .product-page {
    padding-bottom: 2rem;
  }

  .product-top-panel {
    justify-content: space-between;

    .btn {
      width: 30%;
    }
  }

  .summary-submit {
    font-size: 0.75rem;
  }

  .pollution-and-safety {
    font-size: 0.75rem;
    bottom: -.5rem;
    transform: translateY(100%);

    i {
      width: 1rem;
      height: 1rem;
      font-size: 0.625rem;
    }
  }

  .summary-submit {
    gap: 0.5rem;
    padding-block: .75rem;
  }

  .summary-offer__price-info {
    p {
      font-size: 1rem;
    }
  }

  .summary-offer__price-value {
    font-size: 1rem;
  }
}